<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:26 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/CoreElements/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Acquire.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Acquire</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Acquire</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ClockResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ClockResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Clock Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationEndPoint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationEndPoint</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Communication End Point</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Communication Media</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ComputingResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Computing Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ConcurrencyResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ConcurrencyResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Concurrency Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/DeviceResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">DeviceResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Device Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">GRMFactory</a></td>
<td class="colLast">
<div class="block">The <b>Factory</b> for the model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">GRMPackage</a></td>
<td class="colLast">
<div class="block">The <b>Package</b> for the model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">GRMPackage.Literals</a></td>
<td class="colLast">
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">GrService</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Gr Service</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">MutualExclusionResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Mutual Exclusion Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ProcessingResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Processing Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Release.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Release</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Release</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ResourceUsage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ResourceUsage</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Resource Usage</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Schedulable Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Scheduler</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Scheduler</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SecondaryScheduler</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Secondary Scheduler</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/StorageResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">StorageResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Storage Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SynchronizationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SynchronizationResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Synchronization Resource</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/TimerResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">TimerResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Timer Resource</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/TimingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">TimingResource</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Timing Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/CoreElements/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
